import java.util.*;
public class Die {
    protected static Random dieRandom  = new Random();
    protected int dots;
    public Die() {
        dots = dieRandom.nextInt(6) + 1;
    }//constructor

    public Die(int dots) {
         if (dots < 1 || dots > 6)
            throw new IllegalArgumentException();
        else
            this.dots = dots;
    }//constructor

    public int getValue() {
        return dots;
    }//getValue

    public void roll() {
        dots = dieRandom.nextInt(6) + 1;
    } //roll
} //Die
