public class GenericDie extends Die {
    private int nrOfSides;
    public GenericDie() {
        nrOfSides = 6;
        roll();
    }//constructor
    public GenericDie(int nrOfSides) {
        if (nrOfSides < 2 ) 
            throw new IllegalArgumentException();
        else { 
            this.nrOfSides = nrOfSides;
            roll();
        }
    }//constructor
    public int getSides() {
        return nrOfSides;
    }//getSides
    public void roll() {
        dots = dieRandom.nextInt(nrOfSides) + 1;
    }//roll
}//GenericDie
